LINUX.ORG.RU

В чём проблема с phpize и config.m4?

 , , , ,


0

1

название цитаты

fapchat@user /usr/bin $ phpize Cannot find config.m4. Make sure that you run '/usr/bin/phpize' in the top level source directory of the module

fapchat@user /usr/bin $ phpize -v grep: /usr/local/php7/include/php/main/include/php/main/php.h: Нет такого файла или каталога grep: /usr/local/php7/include/php/main/include/php/Zend/zend_modules.h: Нет такого файла или каталога grep: /usr/local/php7/include/php/main/include/php/Zend/zend_extensions.h: Нет такого файла или каталога Configuring for: PHP Api Version: Zend Module Api No: Zend Extension Api No:

fapchat@user /usr/bin $ whereis config.m4 config: /usr/share/man/man5/config.5

Однако php-devel имеется(частично)

название цитаты

fapchat@user /usr/bin $ eopkg info php-devel Установка пакета: Имя : php-devel, версия: 7.3.8, релиз: 77 Краткое описание : Development files for php Описание : PHP is a popular general-purpose scripting language that is especially suited to web development. Лицензии : PHP-3.01 Компонент : programming.devel Зависимости : php Дистрибутив : Solus, Релиз дистр.: 1 Архитектура : x86_64, Размер установки: 4.47 MB Необходим для :

пакет найден в репозитории Solus: Имя : php-devel, версия: 7.3.8, релиз: 77 Краткое описание : Development files for php Описание : PHP is a popular general-purpose scripting language that is especially suited to web development. Лицензии : PHP-3.01 Компонент : programming.devel Зависимости : php Дистрибутив : Solus, Релиз дистр.: 1 Архитектура : x86_64, Размер установки: 4.47 MB, Размер пакета: 407.00 KB Необходим для :

php-devel пакет не найден в репозитории с исходными кодами fapchat@user /usr/bin $ php-devel bash: php-devel: команда не найдена fapchat@user /usr/bin $ php -v PHP 7.3.8 (cli) (built: Aug 8 2019 15:09:12) ( NTS ) Copyright (c) 1997-2018 The PHP Group Zend Engine v3.3.8, Copyright (c) 1998-2018 Zend Technologies with Zend OPcache v7.3.8, Copyright (c) 1999-2018, by Zend Technologies with Xdebug v2.7.0, Copyright (c) 2002-2019, by Derick Rethans

. Устанавливал ламп по этому гайду https://www.linuxhelp.com/how-to-install-lamp-on-solus-3-os Дистрибутив solus

по этому гайду

Дистрибутив solus

Если ты такой чайник, что тебе нужен гайд, то зачем брать дистрибутив, который не нужен даже его авторам? Особый вид мазохизма?

no-such-file ★★★★★ ()

Зачем вы пытаетесь оценивать мои действия?

Я не оцениваю твои действия. Я выражаю своё недоумение твоими действиями.

Зачем вы что-то пишете?

В данном случае от скуки. Хочешь об этом поговорить? Я не против. Ну а вообще общественное порицание имеет вполне определённую положительную функцию. Оно даёт обратную связь и позволяет скорректировать неэффективное (в эволюционном смысле) поведение.

Вот простое решение твоей проблемы (если вдруг ты до сих пор не понял): удаляй solus, ставь ubuntu lts.

no-such-file ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.